#
# Copyright 2018 Scytl Secure Electronic Voting SA
#
# All rights reserved
#
# See our extended copyright notice in *file 'Copyright.txt' which is part of this source code package
#

# Global configuration file for Descryption service

working.directory=sdm/config
encryptedBallots.filename=encryptedBallots.csv
encryptedBallots.signature.filename=encryptedBallots.csv.sign
encryptedBallots.signature.cert.directory=csr
output.proofs.filename=proofs.csv
output.filename=decryptedBallots.csv
output.auditableVotes.filename=auditableVotes.csv

## cryptolib configuration properties
services.cryptolib.pool.size=20
services.cryptolib.timeout=-1

## This is the suffix for the name of the spring batch job we'll be using.
## the job name in this case is votingcardset-generation-{suffix}.
## to change to default 'product' jobs just change the suffix to 'product'
## Valid values include: product, maedi, fribourg, sp (swisspost)
spring.batch.jobs.qualifier=product
# max number of concurrent spring batch jobs
spring.batch.jobs.concurrency=4
# max number of threads allocated to multi-threaded step execution
spring.batch.steps.concurrency=4
